# WordPress for iOS Docs

## Getting Started

- [Coding Style Guide](coding-style-guide.md)
- [Pull Request Guidelines](pull-request-guidelines.md)
- [Best Practices](best-practices.md)

## Accessibility

- [Accessibility Guidelines](accessibility-guidelines.md)
- [Dynamic Type Guidelines](dynamic-type-guidelines.md)
- [Right To Left Layout Support Guidelines](right-to-left-layout-support-guidelines.md)
- [Using VoiceOver](using-voiceover.md)
- [VoiceOver Guidelines](voiceover-guidelines.md)

## Testing 

- [UI Tests](../WordPress/WordPressUITests)

## Others 

- [Localization](localization.md)
- [Feature Flags](feature-flags.md)
- [Formattable Content](formattable-content.md)
- [Issue Triage](issue-triage.md)

## Further Reading

- [Handbook: Git Branching Guidelines](https://make.wordpress.org/mobile/handbook/general-guides/git-branching/)